### Hierarchy

- CellValue
  - AttributeCellValue
  - LabelCellValue
  - ForcedLineCellValue
  - SubstitutionCellValue
  - TabCellValue

## Index

### Constructors

- constructor

### Properties

- style
- type
- STYLE_HEADING1
- STYLE_HEADING2
- STYLE_HEADING3
- STYLE_HEADING4
- STYLE_INLINE_MEDIA
- STYLE_INLINE_MEDIA2

### Accessors

- isHeading1Style
- isHeading2Style
- isHeading3Style
- isHeading4Style
- isInlineMediaStyle

## Constructors

### constructor

- new CellValue(style: string): CellValue

- - Defined in models/CellValue.ts:9

  #### Parameters

  - ##### style: string

  #### Returns CellValue

## Properties

### style

style: string

- Defined in models/CellValue.ts:11

### type

type: string

- Defined in models/CellValue.ts:9

### Static STYLE_HEADING1

STYLE_HEADING1: string = "textHeading1"

- Defined in models/CellValue.ts:2

### Static STYLE_HEADING2

STYLE_HEADING2: string = "textHeading2"

- Defined in models/CellValue.ts:3

### Static STYLE_HEADING3

STYLE_HEADING3: string = "textHeading3"

- Defined in models/CellValue.ts:4

### Static STYLE_HEADING4

STYLE_HEADING4: string = "textHeading4"

- Defined in models/CellValue.ts:5

### Static STYLE_INLINE_MEDIA

STYLE_INLINE_MEDIA: string = "inlineMedia"

- Defined in models/CellValue.ts:6

### Static STYLE_INLINE_MEDIA2

STYLE_INLINE_MEDIA2: string = "Image/Video"

- Defined in models/CellValue.ts:7

## Accessors

### isHeading1Style

- get isHeading1Style(): boolean

- - Defined in models/CellValue.ts:13

  #### Returns boolean

### isHeading2Style

- get isHeading2Style(): boolean

- - Defined in models/CellValue.ts:17

  #### Returns boolean

### isHeading3Style

- get isHeading3Style(): boolean

- - Defined in models/CellValue.ts:21

  #### Returns boolean

### isHeading4Style

- get isHeading4Style(): boolean

- - Defined in models/CellValue.ts:25

  #### Returns boolean

### isInlineMediaStyle

- get isInlineMediaStyle(): boolean

- - Defined in models/CellValue.ts:29

  #### Returns boolean

Generated using TypeDoc